Package org.eclipse.mat.query.registry

## Class CategoryDescriptor

- java.lang.Object
- - org.eclipse.mat.query.registry.CategoryDescriptor

    public final class CategoryDescriptor
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(CategoryDescriptor category)`
`void` `add​(QueryDescriptor descriptor)`
`java.util.List<java.lang.Object>` `getChildren()`
`java.lang.String` `getFullName()`
`java.lang.String` `getName()`
`java.util.List<QueryDescriptor>` `getQueries()`
`java.util.List<CategoryDescriptor>` `getSubCategories()`
`CategoryDescriptor` `resolve​(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

#### getFullName

    public java.lang.String getFullName()

#### getChildren

    public java.util.List<java.lang.Object> getChildren()

#### getSubCategories

    public java.util.List<CategoryDescriptor> getSubCategories()

#### getQueries

    public java.util.List<QueryDescriptor> getQueries()

#### add

    public void add​(QueryDescriptor descriptor)

#### add

    public void add​(CategoryDescriptor category)

#### resolve

    public CategoryDescriptor resolve​(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`